# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeAxis2Placement2d Class Reference

This class implements the mapping between classes
Axis2Placement from Geom and Ax2, Ax22d from gp, and the class
Axis2Placement2d from StepGeom which describes an
axis2_placement_2d from Prostep.
.

`#include <GeomToStep_MakeAxis2Placement2d.hxx>`

Inheritance diagram for GeomToStep_MakeAxis2Placement2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeAxis2Placement2d (const gp_Ax2 &A)
Standard_EXPORT | GeomToStep_MakeAxis2Placement2d (const gp_Ax22d &A)
Standard_EXPORT const Handle_StepGeom_Axis2Placement2d & | Value () const

## Private Attributes

Handle_StepGeom_Axis2Placement2d | theAxis2Placement2d

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeAxis2Placement2d::GeomToStep_MakeAxis2Placement2d | ( | const gp_Ax2 & | A | ) |

Standard_EXPORT GeomToStep_MakeAxis2Placement2d::GeomToStep_MakeAxis2Placement2d | ( | const gp_Ax22d & | A | ) |

## Member Function Documentation

void GeomToStep_MakeAxis2Placement2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeAxis2Placement2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeAxis2Placement2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Axis2Placement2d& GeomToStep_MakeAxis2Placement2d::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Axis2Placement2d GeomToStep_MakeAxis2Placement2d::theAxis2Placement2d`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeAxis2Placement2d.hxx